Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.portlet.impl.jsr168.api
Class RenderRequestImpl

    java.lang.Object
      org.jboss.portal.portlet.impl.jsr168.api.PortletRequestImpl
          org.jboss.portal.portlet.impl.jsr168.api.RenderRequestImpl

All Implemented Interfaces:
  PortletRequest, RenderRequest

Direct Known Subclasses:
  JBossRenderRequest

    public class RenderRequestImpl

extends PortletRequestImpl
implements RenderRequest

Version:
  $Revision: 6697 $
Author:
  Julien Viet, Boleslaw Dawidowicz

Field Summary
`protected RenderContext` | `renderContext` .

Fields inherited from class org.jboss.portal.portlet.impl.jsr168.api.PortletRequestImpl
`attributes, container, dreq, invocation, log, parameters, portalContext, preferences, psession, requestContext, securityContext, sessionStatus, userContext, windowContext`

Fields inherited from interface javax.portlet.PortletRequest
`BASIC_AUTH, CLIENT_CERT_AUTH, DIGEST_AUTH, FORM_AUTH, USER_INFO`

Constructor Summary
`RenderRequestImpl(RenderInvocation invocation)`

Method Summary

Methods inherited from class org.jboss.portal.portlet.impl.jsr168.api.PortletRequestImpl
`getAttribute, getAttributeNames, getAttributes, getAuthType, getContextPath, getLocale, getLocales, getParameter, getParameterMap, getParameterNames, getParameterValues, getPortalContext, getPortletMode, getPortletSession, getPortletSession, getPreferences, getProperties, getProperty, getPropertyNames, getRemoteUser, getRequestedSessionId, getResponseContentType, getResponseContentTypes, getScheme, getServerName, getServerPort, getUserPrincipal, getWindowState, isPortletModeAllowed, isRequestedSessionIdValid, isSecure, isUserInRole, isWindowStateAllowed, removeAttribute, setAttribute`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.portlet.PortletRequest
`getAttribute, getAttributeNames, getAuthType, getContextPath, getLocale, getLocales, getParameter, getParameterMap, getParameterNames, getParameterValues, getPortalContext, getPortletMode, getPortletSession, getPortletSession, getPreferences, getProperties, getProperty, getPropertyNames, getRemoteUser, getRequestedSessionId, getResponseContentType, getResponseContentTypes, getScheme, getServerName, getServerPort, getUserPrincipal, getWindowState, isPortletModeAllowed, isRequestedSessionIdValid, isSecure, isUserInRole, isWindowStateAllowed, removeAttribute, setAttribute`

Field Detail

### renderContext

    protected RenderContext renderContext

  .

Constructor Detail

### RenderRequestImpl

    public RenderRequestImpl(RenderInvocation invocation)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD